- Reverse charge-off
A loan must be in chargedOff status to be reversed.
The reverse charge-off endpoint will reverse a loan in chargedOff status, and roll back any charge-off-related logic and accounting treatment.
Reverse charge-off triggers a replay of the loan starting from the day of charge off as if the loan was in active status. This means if the charge-off occurred on day 120 of the loan, and the reverse charge-off is triggered on day 130, the loan will be replayed as an active loan with interest accrual between days 120-130. If the reversal is triggered on day 120 (the same day of the charge-off), no additional interest is accrued. The result of a reverse charge-off is a loan in active status.
The chargeOffDueWithin configurations of the loan is still in force. So a loan could possibly go back to chargedOff status during the next day if the balance is not paid on the day a reversal was made.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/reverse-charge-off' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"caseId": "string"
}'{ "message": "string", "status": 0, "data": { "reversedChargeOffAmount": 0.1 } }